<?php
/**
 * amm_extras.php
 * This file contains the output templates and user-written functions for AMM 1.5
 * 
 * If you wish to modify amm_default_output() it is probably best to copy it first!
 *
 * 2005 Denyerec www.sozu.co.uk
 */


function amm_default_output($amm){
	/* @var $amm amm_Output */
?>
<ul class="amm">

	<?php for ($x = 0; $x < $amm->totalItems(); $x++ ) :?>
	<li><?php echo $amm->imageLink();?><br />
			<?php echo $amm->title();?><br />
			<?php echo $amm->autoAuthorLabel();?>: <?php echo $amm->autoAuthor();?><br />
			Rating: <?php echo $amm->rating();?>
	</li>

	<?php 
	$amm->nextItem();
	endfor;
	?>
	
</ul>	

<?php
}

function amm_debug_output($amm){
	/* @var $amm amm_Output */
?>
<div class="amm">
	<?php for ($x = 0; $x < $amm->totalItems(); $x++ ) :?>
	<!---------start item ------------------------->
	START ITEM
		<?php echo $amm->imageLink();?><br />
		<strong>Title: </strong> <?php echo $amm->title();?><br />
		<strong><?php echo $amm->autoAuthorLabel();?>: </strong> <?php echo $amm->autoAuthor();?><br />
		<strong>Rating: </strong> <?php echo $amm->rating();?><br />
		<strong>FancyRating: </strong> <?php echo $amm->fancyRatings();?><br />
		<strong>Author: </strong> <?php echo $amm->author();?><br />
		<strong>Director: </strong> <?php echo $amm->director();?><br />
		<strong>Title: </strong> <?php echo $amm->title();?><br />
		<strong>Asin: </strong> <?php echo $amm->asin();?><br />
		<strong>Productgrp: </strong> <?php echo $amm->productGroup();?><br />
		<strong>Artist: </strong> <?php echo $amm->artist();?><br />
		<strong>Label: </strong> <?php echo $amm->label();?><br />
		<strong>Manufacturer: </strong> <?php echo $amm->manufacturer();?><br />
		<strong>Model: </strong> <?php echo $amm->model();?><br />
		<strong>Brand: </strong> <?php echo $amm->brand();?><br />
		<strong>UserComment: </strong> <?php echo $amm->userComments();?><br />
		<strong>Country: </strong> <?php echo $amm->country();?><br />
		<strong>Date: </strong> <?php echo $amm->date();?><br />
		<strong>LargeImg: </strong> <?php echo $amm->autoImage('large');?><br />
		<strong>MedImg: </strong> <?php echo $amm->autoImage('medium');?><br />
		<strong>SmallImg: </strong> <?php echo $amm->autoImage('small');?><br />
		<strong>image(25): </strong> <?php echo $amm->autoImage(25);?><br />
		
		<img src="<?php echo $amm->autoImage('large');?>" /><br />
		<img src="<?php echo $amm->autoImage('medium');?>" /><br />
		<img src="<?php echo $amm->autoImage('small');?>" /><br />
		<img src="<?php echo $amm->autoImage(25);?>" /><br />
		
		<strong>URL: <?php echo $amm->URL();?></strong><br />
		<a href="<?php echo $amm->URL();?>">Click here</a><br />
		END ITEM
		<!-------------- end item------------------->
	<?php 
	$amm->nextItem();
	endfor;
	?>
</div>	

<?php
}
?>